com.dlsc.flexgantt.model.eventline

## Class DefaultEventlineObject<T>

- java.lang.Object
- - com.dlsc.flexgantt.model.AbstractPropertiesOwner
  - - com.dlsc.flexgantt.model.gantt.DefaultTimelineObject<T>
    - - com.dlsc.flexgantt.model.eventline.DefaultEventlineObject<T>

- Type Parameters:
    `T` - the type of the wrapped user object
  All Implemented Interfaces:
    IEventlineObject, ITimelineObject, IPropertiesOwner, Comparable<ITimelineObject>

      public class DefaultEventlineObject<T>
      extends DefaultTimelineObject<T>
      implements IEventlineObject

  A default implementation for objects that can be placed on the eventline by adding them to the `DefaultEventlineModel`.
  Since:
    1.0
  Version:
    $Revision: 1.6 $
  Author:
    Dirk Lemmermann

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultEventlineObject()` Constructs a new eventline object.
    `DefaultEventlineObject(ITimeSpan timeSpan)` Constructs a new eventline object.
    `DefaultEventlineObject(String name)` Constructs a new eventline object.
    `DefaultEventlineObject(String name, ITimeSpan timeSpan)` Constructs a new eventline object.

  - ### Method Summary

    - ### Methods inherited from class com.dlsc.flexgantt.model.gantt.DefaultTimelineObject

      `addChild, compareTo, getChildren, getDragActions, getLabel, getLineIndex, getPopupObject, getPopupTitleObject, getStatus, getTimeSpan, getUserObject, isDeletable, isDurationChangeable, isInPlaceEditable, isParent, isSelectable, isStartTimeChangeable, removeChild, setChildren, setChildren, setDeletable, setDragActions, setDurationChangeable, setInPlaceEditable, setLabel, setLineIndex, setPopupObject, setPopupTitleObject, setSelectable, setStartTimeChangeable, setStatus, setTimeSpan, setUserObject, toString`

    - ### Methods inherited from class com.dlsc.flexgantt.model.AbstractPropertiesOwner

      `getProperty, setProperty`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.dlsc.flexgantt.model.gantt.ITimelineObject

      `getChildren, getDragActions, getLabel, getLineIndex, getPopupObject, getPopupTitleObject, getStatus, getTimeSpan, isDeletable, isDurationChangeable, isInPlaceEditable, isParent, isSelectable, isStartTimeChangeable, setTimeSpan`

    - ### Methods inherited from interface com.dlsc.flexgantt.model.IPropertiesOwner

      `getProperty, setProperty`

    - ### Methods inherited from interface java.lang.Comparable

      `compareTo`

- - ### Constructor Detail

    - #### DefaultEventlineObject

          public DefaultEventlineObject(String name,
                                        ITimeSpan timeSpan)

      Constructs a new eventline object.
      Parameters:
        `name` - the name of the object
        `timeSpan` - the object's time allocation
      Since:
        1.0

    - #### DefaultEventlineObject

          public DefaultEventlineObject(String name)

      Constructs a new eventline object. The object's time span gets set to `TimeSpan.UNDEFINED`.
      Parameters:
        `name` - the name of the object
      Since:
        1.0

    - #### DefaultEventlineObject

          public DefaultEventlineObject(ITimeSpan timeSpan)

      Constructs a new eventline object.
      Parameters:
        `timeSpan` - the object's time allocation
      Since:
        1.0

    - #### DefaultEventlineObject

          public DefaultEventlineObject()

      Constructs a new eventline object. The object's time span gets set to `TimeSpan.UNDEFINED`.
      Since:
        1.0

Copyright © 2006–2020 Dirk Lemmermann Software & Consulting. All rights reserved.